
# fedora review: http://bugzilla.redhat.com/248120

# TODO: package apidocs (make apidox, BR doxygen and qt4-doc)

Summary: Qt wrapper API to different RDF storage solutions
Name:    soprano
Version: 1.95.0
Release: 1%{?dist}

Group:   System Environment/Libraries
License: LGPLv2+
URL:     http://sourceforge.net/projects/soprano
Source0: http://dl.sf.net/soprano/soprano-%{version}-beta2.tar.bz2
Patch0:  soprano-1.95.0-beta2-findclucene.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: cmake
BuildRequires: redland-devel >= 1.0.6
BuildRequires: raptor-devel >= 1.4.15
BuildRequires: qt4-devel
BuildRequires: clucene-core-devel

%description
%{summary}.

%package devel
Summary: Developer files for %{name}
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: qt4-devel
Requires: pkgconfig
%description devel
%{summary}.


%prep
%setup -q -n soprano-%{version}-beta2
%patch0 -p1


%build

%cmake .

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING* README TODO
%{_bindir}/sopranocmd
%{_bindir}/sopranod
%{_libdir}/lib*.so.*
%{_libdir}/soprano/
%{_datadir}/soprano/
# Own this one here for lack of a better place (see also #334681)
%dir %{_datadir}/dbus-1/interfaces
%{_datadir}/dbus-1/interfaces/org.soprano.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/soprano.pc
%{_includedir}/soprano/
%{_includedir}/Soprano/


%changelog
* Tue Oct 16 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 1.95.0-1
- update to 1.95.0 (Soprano 2 beta 2)
- new BRs clucene-core-devel, raptor-devel >= 1.4.15
- now need redland-devel >= 1.0.6
- add patch to find CLucene (clucene-config.h is moved in the Fedora package)
- new Requires: pkg-config for -devel

* Wed Aug 22 2007 Rex Dieter <rdietr[AT]fedoraproject.org> 0.9.0-4
- respin (BuildID)

* Fri Aug 3 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.9.0-3
- specify LGPL version in License tag

* Sun Jul 15 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.9.0-2
- BR: cmake (doh)

* Wed Jun 27 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.9.0-1
- soprano-0.9.0
- first try

